Bug 1031364 - Feature Request - Flesh-Kinkaid Statistics Info
Feature Request - Flesh-Kinkaid Statistics Info
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 04:43 EST by Laura Novich
Modified: 2016-01-26 20:57 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laura Novich 2013-11-17 04:43:22 EST
Description of problem:
In order to make sure our documentation is correctly written, it would be nice to have the following 2 features:
1. embedded spell check that checks the file when "publican-build" is done
2. flesh-kincaid statistics that can be generated when requested.


Some packages that I/Rudi/Jeff found that may be useful

there's a Perl module available for this:
http://search.cpan.org/dist/Lingua-EN-Fathom/lib/Lingua/EN/Fathom.pm

which can be done if the publican files are converted to text


and this option
https://github.com/DaveChild/Text-Statistics
which is a PHP


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Jeff Fearn 2013-11-17 17:52:47 EST
(In reply to Laura Novich from comment #0)
> Description of problem:
> In order to make sure our documentation is correctly written, it would be
> nice to have the following 2 features:

One bug one feature!

> 1. embedded spell check that checks the file when "publican-build" is done

Publican used to have this and it caused an endless amount of hateful commentary from writers. We will not be adding it back in.

> 2. flesh-kincaid statistics that can be generated when requested.

This is the feature we will do for this bug.

Cheers, Jeff.
Comment 7 Jeff Fearn 2013-11-21 22:47:00 EST
Added report action.

[Users_Guide]$ publican --quiet report
File name                  : build/en-US/txt/Users_Guide.txt
Number of characters       : 315482
Number of words            : 41476
Percent of complex words   : 18.44
Average syllables per word : 1.7353
Number of sentences        : 4362
Average words per sentence : 9.5085
Number of text lines       : 5664
Number of blank lines      : 2369
Number of paragraphs       : 2097


READABILITY INDICES

Fog                        : 11.1802
Flesch                     : 50.3802
Flesch-Kincaid             : 8.5945


To ssh://git.fedorahosted.org/git/publican.git
   bead334..abf4f61  HEAD -> devel
Comment 8 Ruediger Landmann 2013-11-25 01:49:47 EST
Verified in publican-3.9.9-0.fc19.t27.noarch

Note You need to log in before you can comment on or make changes to this bug.